var _mp_impl_ = null;

var MetricPreferences = {
    instance:function () {
        if (!_mp_impl_) {
            if (typeof wktnav_ === 'object') {
                _mp_impl_ = wktnav_.metricPreferences();
            }
        }
        return _mp_impl_;
    },
    addContextMenuHandlerForDomElement: function(jquery_selector, dispunit) {
        $(jquery_selector).bind("contextmenu", function(e) {
            if (typeof wktnav_ === 'object') {
                wktnav_.execUnitSelectionPopupMenu(dispunit);
            }
            return false;
        });
    }
};

var DisplayMetric = {
    UNIT_SPEED:0,
    UNIT_FORCE:1,
    SPEED: {
        IN_Km_h:0,
        IN_M_per_Sec:1,
        IN_Knots:2,
        IN_M_per_Min:3,
    },
    FORCE: {
        IN_Kilonewton:0,
        IN_TonForceMetric:1,
        IN_Kipf:2
    },
    optionFor: function(m) {
        var i = MetricPreferences.instance();
        var mo = null;
        if (i) {
            if (typeof m === 'number') {
                mo = i.metricObj(m);
            }
            else if (typeof m === 'string') {
                mo = i.metricObjByName(m);
            }
        }
        return mo;
    }
};
